local songs = {}

local pitch = .4
slowPitch = .4

-- deep crypts
songs.battle_theme = {
    source = "Battle Theme 5.mp3",
    loop = false,
    name = "Battle Theme 5",
    pitch = slowPitch
}

-- victory lap/close to something epic?
songs.dova_mary_only_knows = {
    source = "dova_mary_only_knows.mp3",
    loop = false,
    name = "Mary Only Knows",
    pitch = .6
}

-- horns
songs.bravery_demon = {
    source = "bravery_demon.ogg",
    loop = true,
    name = "Bravery Demon",
    pitch = slowPitch
}

songs.game_over = {
    source = "game_over.ogg",
    loop = false,
    name = "Game over",
    pitch = slowPitch
}

-- fortress
songs.peachtea = {
    source = "peachtea_last_stand_lets_go.ogg",
    loop = true, --? Kinda
    name = "Last Stand",
    pitch = .3
}



-- mysterious hopelessness/dread
songs.the_battle_of_atheria = {
    source = "the_battle_of_atheria.ogg",
    loop = true,
    name = "The Battle of Atheria",
    pitch = slowPitch
}


-- kobold shop
songs.carnival_of_strangeness = {
    source = "carnival_of_strangeness_0.mp3",
    loop = true,
    name = "Carnival of Strangeness",
    pitch = .6
}

-- creepy
songs.ghosts_and_heroes = {
    source = "ghosts_and_heroes.mp3",
    loop = true,
    name = "Ghosts and Heroes",
    pitch = slowPitch
}

-- angelic
songs.heartfelt_battle = {
    source = "heartfelt-battle_loop.ogg",
    loop = true,
    name = "Heartfelt Battle",
    pitch = .8
}

-- main
songs.gem_popper = {
    source = "gem_popper.mp3",
    loop = true,
    name = "Gem Popper",
    pitch = .6
}

-- horns, more happy
songs.jazz = {
    source = "snd_music1_0.ogg",
    loop = true,
    name = "Jazz",
    pitch = slowPitch
}

songs.quickjazz = {
    source = "snd_music1_0.ogg",
    loop = true,
    name = "Jazz",
    pitch = 1
}

function loadSong(dat)
    local song = songs[dat] or dat or error("No song "..tostring(dat))
    
    if CURRENT_SONG == song then
        return
    end
    
    CURRENT_SONG = song
    
    local function load()
        media.loadMusic(song.source, song.loop)
        media.am:fadeMusic(3, nil, true)
        media.music:setPitch(song.pitch or 1)
        media.am.maxVolume = .1
        -- media.am:setMusicVolume(.1)
    end
    
    if media.music then
        media.am:fadeMusic(4, load)
    else
        assert(not grogg)
        grogg = true
        load()
    end
end

for i, dat in pairs(songs) do
     -- media.loadMusic(dat.source)
end

return songs