--name of game: enchant VOID?

REDDIT_LINK = {
    "https://www.reddit.com/r/roguelikes/submit?selftext=true",
    "https://www.reddit.com/r/roguelikes/submit?selftext=true",
    "https://www.reddit.com/r/roguelikes/submit?selftext=true",
    "https://www.reddit.com/r/roguelikes/submit?selftext=true",
    "https://www.reddit.com/r/roguelikes/submit?selftext=true",
    "https://www.reddit.com/r/roguelikes/submit?selftext=true",
    "https://www.reddit.com/r/roguelikes/submit?selftext=true",
    "https://ww.reddit.com/r/roguelikes",
    "https://ww.reddit.com/r/roguelikes",
    "https://www.reddit.com/r/roguelikes",
    "https://www.reddit.com/r/roguelites",
}

-- Paddy.draw = null

NO_QUICKSLOTS = true

PIG = true

game = toybox.Game("game")

spawn = function(cr, t)
    return toybox.room:spawn(cr, t or pl and pl.tile)
end

espawn = function()
    for x = 1, 4 do pl:forceAddItem("potion_of_teleportation") end
    -- p:forceAddItem("potion_of_haste") pl:forceAddItem("wand_of_blinking") pl:forceAddItem("wand_of_webbing") igniorePlayer = true pl:forceAddItem("potion_of_invisibility")
    -- pl.room:teleport(pl, gob.tile) spawn("pig").speed=5--spawn("wolf") spawn("spider") spawn("bear") spawn("toad") gob.speed = 4 gob.stats.strength=5 pl.team=gob.team
end

NO_DEBUG = 1

--[[local isd = love.keypressed
local ixr = love.keyreleased

local keys = {}

love.keypressed = function(k,...)
    keys[k] = true
    return  isd(k,...)
end

love.keyreleased = function(k,...)
    --keys[k] = false
    return ixr(k,...)
end

love.keyboard.isScancodeDown = function(k)
    return keys[k]
end

love.keyboard.isDown = function(k)
    return keys[k]
end
]]

function line()
    toybox.room:spawn("boar", pl.tile)
    toybox.room:spawn("goblin", pl.tile).nutrition = 0
end

function doShake()
    toybox.room.camera:shake(15,.15,25)
end
--toybox.saveData = function() end
local obj = require "toybox/extra/BaseObject"
local oss
local osst = function(self, dt, ...)

    if self.source and self.source:sub(1,7) == "clouds/" then
        self.flipX = -1
    end
    
    return oss(self, dt, ...)
end

toybox.NewBaseObject = function (...)
  local obj = require('toybox.extra.BaseObject'):new(...)

  oss = obj.__step
  obj.__step = osst
  
  return obj
end

function tableSize(t)
    local c = 0
    for x, i in pairs(t) do
        c = c+1
    end
end

function getTimeText(text)
    if type(text) == "string" then return text end
    
            local floor =   math.floor 
            local hours = floor(text/(60*60))
            text = text-hours*(60*60)
        
            local minutes = floor(text/60)
            text = text - minutes*60
        
            local seconds = floor(text)   
            text = string.format("%s%s:%s%s:%s%s",hours<10 and "0" or "" ,hours,minutes<10 and "0" or "" , minutes,seconds<10 and "0" or "" ,seconds)
         
        return text
end

function getTimeText2(text)
    if type(text) == "string" then return text end
    
            local floor =   math.floor 
            local hours = floor(text/(60*60))
            text = text-hours*(60*60)
        
            local minutes = floor(text/60)
            text = text - minutes*60
        
            local seconds = floor(text)
            text = text - seconds
            local nin = floor(text*100)
            
            text = string.format("%s%s:%s%s:%s%s:%s%s%s",hours<10 and "0" or "" ,
            hours,minutes<10 and "0" or "" , minutes,seconds<10 and "0" or "" ,seconds,
            nin<100 and "0" or "", nin<10 and 0 or "",nin)
         
        return text
end

local DESKTOP =   love.system.getOS()~= "Android" and
love.system.getOS()~= "IOS"

local Room = require "toybox.entities.Room"
if false then
if not DESKTOP and nil then
    local oldp = gooi.pressed
    local oldr = gooi.released
    
    gooi.pressed = null
    gooi.released = null
    
    local ost = Room.__step
    function Room:touchpressed(id, x,y,...)
        --local x, y = res.getMousePosition(nil,nil,x,y)
        Debris.spawn(x,y,pcolor)
        return oldp(id,x,y,...)
    end
    
    function Roiom:touchreleased(id, x,y,...)
        --local x, y = res.getMousePosition(nil,nil,x,y)
        return oldr(id,x,y)
    end
else
    local oldp = Room.__mousepressed
    function Room:__mousepressed(x,y,...)
        Debris.spawn(x,y,pcolor)
        return oldp(self, x, y, ...)
    end
end
end

scale = 1
_W, _H = 1280/scale,800/scale
tw, th = 50, 50
aspect.setGame(_W, _H)

local op = love.graphics.print
old_print = op

-- stack shaders?
-- move x in upgrades to top
-- check attack ! Vertical down attacks

local tt, xx, yy, ang, nsx, nsy

local function opp()
    op(t, xx, yy, ang, nsx, nsy)
end

function love.graphics.pryyyint(texty, x, y, ang, sx, sy, ...)
    if NO_DOUBLE_TEXT then
    --    return op(texty, x, y, ang, sy, sx, ...)
    end
    
    if type(texty) ~= "string" then
        texty = tostring(texty)
    end
    
    sx = sx or 1
    sy = sy or 1
    local font = love.graphics.getFont()
    
    for xx = 1, #texty do
        local text = texty:sub(xx,xx)
        local x = x+(xx~=1 and font:getWidth(texty:sub(1,xx-1)) or 0)*sx
        local r,g,b,a = love.graphics.getColor()
        local co = 1
        
        if (r+g+b) == 3 then
            co = 0
        end-- co = .5
        
        love.graphics.setColor(co, co, co, a)--getColor(coloyr or "green",a))
    
        local scale = 1.1
        local nsx, nsy = (sx or 1)*scale, (sy or 1)*scale
    
        local diffX =(nsx - (sx or 1))/2
        local diffY = (nsy - (sy or 1))/2
        
        t, xx, yy, ang, nsx, nsy = text, x-diffX, y-diffY, ang, nsx, nsy
        l, e = pcall(opp)
        if type(e) == "string" then
            log(e..": " ..inspect(text,3))
        end
        gg,bb,aa=g,b,a
        --op(text, x-diffX, y-diffY, ang, nsx, nsy, ...)
        
        love.graphics.setColor(r,g,b,a)
        old_print(text, x, y, ang, sx, sy, ...)
    end
end



req = function(n)
    return require_and_sign(string.format("nest.%s",n))
end

--Camera = req("camera_modified")

local osh = Camera.shake
function Camera:shake(...)
    if game.data.noShake == "false" then
        return 
        
    end
    
    return osh(self, ...)
end

TitleMenu = toybox.Room("TitleMenu")

local helpText1 = [[
Drink potions,
 
read scrolls,
 
eat food to heal,
 
find the 3 orbs of power,
 
survive longer,
 
collect more gold,
 
blow up enemies,
 
make allies,
 
blow up allies,
 ]]
local helpText2 = [[
[numpad 1/2/3/4/5/6/7/8] = move
[left/right/up/down] = move
[i] = open inventory
[space/5] = skip a turn

 
[f11] = toggle fullscreen


Bump into enemies to melee attack.
This game is turnbased. Things won't happen
unless you take an action.
Remember to [equip] weapons.
]]
local helpText3 = [[
Welcome to pigcrawl.
 
This game has a lot of moving parts ~ and is 
still in development.
 
It may turn you around, @spank you 
~ with a &colors.red wand of enslavement ~ ,
#polymorph ~ into an eldritch abomination and then
@# crash.~
 
  
 #But it will be a pleasant experience either way, 
 ~ so please have patience with this monster.
 ]]
 local donateText1 = [[
 Hello There!
 This game is still in development,
 and your support will
 be very much super greatly api...
 appree...appa...
 APPRECIATED!
 ]]
 
local donateText2 = [[
Hello There! 
I reaaaaally want to add more stuff to this game (like a kobold war machine, an eldrithc monsterification of chaos and maybe, just maybe even an ice cream truck), and I need your 
support to help fund the growth of our dungeon.
]]

local redditText = [[
Hey! Help spread the word on reddit?]]

function TitleMenu:setup(k)
    self.images = {
        pig = {x=0, y=-H(), angyle=-15, func="in-bounce"},
        potion = {x=W(), y=0, func="out-elastic"},
        elf = {x=0, y=0, w=1, h=1, func="in-bounce"},
        dungeon = {x=0, y=H(), func="in-bounce"},
        
        pig_falling = {alpha=0,x=0,y=-H(),time=2},
        mob = {alpha=0,x=0,y=0},--x=-W(), y=0, time=2},
        
        pigcrawl = {x=0, y=H()*2, wj=1, hj=1, func="in-bounce"}
    }
    
    self.drawOrder = {"pigcrawl", "pig_falling", "mob"} or {"pig", "potion", "elf", "dungeon", "pig_falling", "mob"}
    self.num = #self.drawOrder
    
    self.GAME_STARTED = GAME_STARTED
    
    self.canDraw = {}
    local time = .8
    local inc = (self.GAME_STARTED and .25 or 1)
    for x = 1, self.num do
        local name = self.drawOrder[x]
        local data = self.images[name]
        
        game:getAsset(string.format("title/%s.png", name))
        
        local function addToDrawable()
            self.canDraw[name] = true
        end
        
        local function start()
            addToDrawable()
            self:tween((data.time or time)*inc, data, {
                x=0,
                y=0,
                w=data.w and W(),
                h=data.h and H(),
                angle=data.angle and 0,
                alpha=data.alpha and 1
            }, data.func or "in-quad")--, addToDrawable)
        end
        
        self:after(.5*inc+.8*(x-1)*inc+(x>(self.num-1) and 1.2 or 0)*inc, start) --loadsong
    end
    
    GAME_STARTED = true
    
    gooi.components = {}
    
    self:after(.8*3*inc+.4*inc+1.5*inc+.45*inc, function()
    self:activate_gooi()
    gooi.alpha = 0
    self:tween(.85, gooi, {alpha=1}, "in-quad")
    
    local ww = W()/4.5
    local hh = H()/2.5
    self.panel = gooi.newPanel({x=W()-ww-225, y=H()-hh-50, w=ww, h=hh, layout="grid 5x1"})--:debug()
    
    self.alpha = 0
    self.helpAlpha = 0
    
    local function startGame()
        
            if self.done then
                return
            end
                
            self.done = true
        
            local next = function()
                if not self.canStart then
                    -- return
                end
                
                Creature.play_sound(self, "warhorn", nil, .12)--media.sfx.warhorn:play()
                local new = game:startGame()
                
                --new.camera:fade(.01,{0,0,0,1})
                --new.camera:update(1)
                
                local w = W()*.7
                local h = H()/12
                
                oldMap = self
            
                new.nexting = self.nexting
                new.nexting2 = gooi.newLabel({text="@Tap any key to continue", x=W()/2-w/2, w=w, h=h, y=H()/2-h/2+(self.nexting.texty and self.nexting.texty.h or font13:getHeight()*4),font=font8}):center() -- getQuote
                
                local n = new.nexting2
                n.fgColor = {1,1,1,0}
                new.timer:tween(1.4, n.fgColor,  {1,1,1,1}, "in-quad")
                
                new.noPopUp = true
                local function allowPopUp()
                    new.noPopUp = false
                end
                
                self.camera:fade(.1,{0,0,0,0})
                new:after(.1, allowPopUp)
            end
            
            local text = Map.getQuote(self, firstQuotes)
            local w = W()*.7
            local h = H()/12
            self.nexting = gooi.newButton({text=text, x=W()/2-w/2, w=w, h=h, y=H()/2-h/2}):
                right()
            
            self.nexting.ySpacing = 5
            self.nexting.opaque = false
            
            
            self.camera:fade(1,{0,0,0,1}, function() game:startCoroutine(next) end)
    end
    
    
    local doStart = function()
        if self.helpAlpha ~= 0 then
            return
        end
        
        gooi.components = {}
        
        local function func()
            if gamedata.hasPlayedBefore then
                game:set_room(ChooseMenu)
            else
                startGame()
            end
        end
        
        self:tween(.35, self, {alpha=1.1}, "in-quad", func)
    end
    
    self.startButton = gooi.newButton({text="Dive in"}):onRelease(doStart)
    self.startButton.borderRadius = 0
    self.panel:add(self.startButton, 1, 1)
    
    local doHighscores = function()
        if self.helpAlpha ~= 0 then
            return
        end
        
        gooi.components = {}
        
        local function func()
            game:set_room(DeathMenu)
        end
        
        self:tween(.35, self, {alpha=1.1}, "in-quad", func)
    end
    
    self.highscoreButton = gooi.newButton({text="Deaths"}):onRelease(doHighscores)
    self.highscoreButton.borderRadius = 0
    self.panel:add(self.highscoreButton, 2, 1)
    
    local doHelp = function()
        if self.helpAlpha == 0 then
            self:showHelp()
            self.poppedHelp = false
        end
    end
    
    self.helpButton = gooi.newButton({text="Help"}):onRelease(doHelp)
    self.helpButton.borderRadius = 0
    self.panel:add(self.helpButton, 3, 1)
    
    if not gamedata.introducedStuff then
        self:after(1, function()
            gooi.alert({
                text = helpText3,
                big = true,
            })
            gamedata.introducedStuff = true
            game:saveData()
        end)
    end
    end)
end

function TitleMenu:showHelp()
    self.helpAlpha = self.helpAlpha or 0
    self.showLabeledHelp = false
    
    local function showHelp()
        self:shake(32, .3, 25)
        self.showLabeledHelp = true
    end
    self.helpTween = self:tween(.8, self, {helpAlpha=1}, "in-quad", showHelp)
end

function TitleMenu:mousereleased()
    if (self.helpAlpha or 0) > .7 then
        if not self.poppedHelp then
            local ww = W()*.45
            local hh = W()*.41
            
            local function func3()
                self.camera:shake(25, .2, 25)
                self.helpAlpha = 0
                self.timer:cancel(self.helpTween)
                self.helpTween = nil
            end
            
            local function func2()
                gooi.alert({
                    text = helpText2,
                    big = true,
                    w = ww,
                    h = hh,
                    ok = func3
                })
            end
            
            local function func()
                gooi.alert({
                    text = helpText1,
                    big = true,
                    w = ww,
                    h = hh,
                    ok = func2
                })
                gooi.okButton.y = gooi.okButton.y + 50
            end
            
            self.poppedHelp = true
            gooi.alert({
                text = helpText3,
                big = true,
                w = ww,
                h = hh,
                ok = func
            })
        end
    end
end

function TitleMenu:drawHelp()
    self.camera:attach()
    local r,g,b,a = set_color(1,1,1,self.helpAlpha or 0)
    local img = game:getAsset(self.showLabeledHelp and "title/help_pic_labeled.png" or "title/help_pic.png")
    lg.draw(img, 0, 0, 0, .5, .5)
    set_color(r,g,b,a)
    self.camera:detach()
end

function TitleMenu:after_draw(dt)
    for x = 1, self.num do
        local name = self.drawOrder[x]
        if self.canDraw[name] then
            local img = game:getAsset(string.format("title/%s.png", name))
            local data = self.images[name]
            local w, h = resizeImage(img, data.w or W(), data.h or H())
            local iw, ih = img:getDimensions()
            local r, g, b, a = set_color(1, 1, 1, data.alpha or 1)
            local dx = 0 or W()/2--(data.w or W())/2
            local dy = 0 or H()/2--(data.h or H())/2
            lg.draw(img, data.x+dx, data.y+dy, data.angle or 0, w, h)--, iw/2, ih/2)
            set_color(r, g, b, a)
        end
        
        if x == 1 then
            gooi.draw()
        end
    end
    
    self:drawHelp()
    
    
    
    if self.nexting then
        self.camera:draw()

        if self.nexting2 then
            local r,g,b,a = set_color(0,0,0,1)
            draw_rect("fill",-W(),-H(), W()*3, H()*3)
            set_color(r,g,b,a)
        end
        
        gooi.drawComponent(self.nexting)
        
        if self.nexting2 then
            gooi.drawComponent(self.nexting2)
        end
    end
    
    if self.alpha then
        local r,g,b,a = set_color(0,0,0,self.alpha)
        draw_rect("fill",-W(),-H(), W()*3, H()*3)
        set_color(r,g,b,a)
    end

    
    if self.alpha then
        local r,g,b,a = set_color(0,0,0,self.alpha)
        draw_rect("fill",-W(),-H(), W()*3, H()*3)
        set_color(r,g,b,a)
    end
    
    if self.nexting then
        self.camera:draw()

        if self.nexting2 then
            local r,g,b,a = set_color(0,0,0,1)
            draw_rect("fill",-W(),-H(), W()*3, H()*3)
            set_color(r,g,b,a)
        end
        
        gooi.drawComponent(self.nexting)
        
        if self.nexting2 then
            gooi.drawComponent(self.nexting2)
        end
    end
end

function TitleMenu:keyreleased(key)
    if (self.helpAlpha or 0) > .1 then
        return self:mousereleased()
    end
    
    if key == "escape" then
        gooi.dialog({
            text = "Exit the &colors.red @madness?",
            ok = love.event.quit,
            okText = "yes",
            cancelText = "NEVER"
        })
    end
end

Menu = toybox.Room("Menu")

function Menu:setup(k)
    oldMap = nil
    self:activate_gooi()
    local g = "menu"
    gooi.currentGroup = g
    
    local nn = .7
    
    -- w, h = 896, 240
    local w, h = W()*.7*nn,H()*.3*nn
    local x, y = W()/2-w/2, H()/2-h/2-h
    
    self.label = gooi.newLabel({text="" or "Madcrawl", group=g, x=x, y=y, w=w, h=h})
    self.label:setFont(font40)
    
    self.logo = toybox.NewBaseObject({
        x = x, y = y,
        w = w, h = h,
    })
    
    -- self.logo.debug=1
    self.logo:center()
    
    self.logo.sprite = toybox.new_sprite(self.logo, {
        animations = {
           idle = {
                mode = "loop",
                source = "logo",
                useImages = true,
                delay = .3
            }
        }
    })
    
    w = w *.7
    self.panel = gooi.newPanel({
        w = w,
        x = W()/2-w/2,
        y = H()-h*1.5,--self.logo.y + self.logo.h*1.5,
        h = h/nn,
        layout = "grid 3x1",
        group = g,
        padding = 5
    })
    self.panel.opaque = false
    
    for x = 1, 1 do
        local b = gooi.newButton({text="T a p    a n y    k e y    t o    c o n t i n u e"}):onRelease(function()
        
            if self.done then
                return
            end
                
            self.done = true
        
            local next = function()
                if not self.canStart then
                    return
                end
                
                Creature.play_sound(self, "warhorn", nil, .12)--media.sfx.warhorn:play()
                local new = game:startGame()
                
                --new.camera:fade(.01,{0,0,0,1})
                --new.camera:update(1)
                
                local w = W()*.7
                local h = H()/12
                
                oldMap = self
            
                new.nexting = self.nexting
                new.nexting2 = gooi.newLabel({text="@Tap any key to continue", x=W()/2-w/2, w=w, h=h, y=H()/2-h/2+(self.nexting.texty and self.nexting.texty.h or font13:getHeight()*4),font=font8}):center() -- getQuote
                
                local n = new.nexting2
                n.fgColor = {1,1,1,0}
                new.timer:tween(1.4, n.fgColor,  {1,1,1,1}, "in-quad")
                
                new.noPopUp = true
                local function allowPopUp()
                    new.noPopUp = false
                end
                
                self.camera:fade(.1,{0,0,0,0})
                new:after(.1, allowPopUp)
            end
            
            local text = Map.getQuote(self, firstQuotes)
            local w = W()*.7
            local h = H()/12
            self.nexting = gooi.newButton({text=text, x=W()/2-w/2, w=w, h=h, y=H()/2-h/2}):
                right()
            
            self.nexting.ySpacing = 5
            self.nexting.opaque = false
            
            
            self.camera:fade(1,{0,0,0,1},next)
        end)
        
        b.borderRadius = 1
        b.borderWidth = 4
        b.opaque = false
        b.fgColor = {1,1,1,0}
        self.panel:add(b,2,1)
    end
end

function Menu:startt()
    local n = self.panel.sons[1].ref
    n.events:r()
end

function Menu:mousereleased()
    if not game.buttonPressed then
        self:startt()
    end
end

function Menu:keyreleased(k)
    if k == "escape" then
        gooi.dialog({
            text = "Exit the &colors.red @madness?",
            ok = love.event.quit,
            okText = "yes",
            cancelText = "NEVER"
        })
        
    else
        self:startt()
    end
end

function Menu:draw_before()
    local r,g,b,a = set_color(1,1,1,self.tw or 0)
    if not self.tw then self.tw = 0
      self:after(.2,function()
       local t = 2
       self.canStart = true
       for x, i in ipairs(self.panel.sons) do
           self:tween(t,i.ref.fgColor,{[4]=1},"out-quad")
        end
       --self:tween(t,self.logo.sprite,{image_alpha=0},"out-quad")
       self:tween(t,self,{tw=.6},"out-quad",function()
        self.camera:shake(5,.5,10)
        self:after(1,function()
            --self:tween(2,self,{tw=0},"out-quad")
        end)
      end)
    end) end
    
    self.camera:attach()
    lg.draw(game:getAsset(PIG and "pig.png" or "adv.png"),0,0,0,.5,.5)
    set_color(r,g,b,a)
    
    gooi.draw(gooi.currentGroup)
    self.camera:detach()
end

function Menu:after_draw(dt)
local crs = {"angel", "kobold", "pig", "rat", "goop"}
    self.move_x = (self.move_x or 0)+(self.ws or 25)*dt*.5
    if true then
        self.heartFrame = (self.heartFrame or 0) + dt/(.2)
    for x = 1,0 or #crs do
        local source = crs[x]
        local maxFrames = 3
    
    
    
        local maxFrames = 4
        local currentFrame = math.floor(self.heartFrame%maxFrames)
        local cr = currentFrame
    
        while cr > (maxFrames-1) do
            cr = 0+(cr-(maxFrames))
        end
        
        while cr < 0 do
            cr = 0
        end
    
        local h = game:getAsset(string.format("creatures/%s/%s.png",nil and "purple_heart" or source or "angel" or "blood_heart", cr))
        
        local ws = (H()/25)*3
        self.ws = ws
        local whh = ws*2
        local wh, hh = resizeImage(h, ws, whh)
        local xx, yy = ws*(x-1)+5+self.move_x, H()-whh-5
        love.graphics.draw(h, xx, yy, 0, wh, hh)
    end
    end
    
    
    if self.nexting then
        self.camera:draw()

        if self.nexting2 then
            local r,g,b,a = set_color(0,0,0,1)
            draw_rect("fill",-W(),-H(), W()*3, H()*3)
            set_color(r,g,b,a)
        end
        
        gooi.drawComponent(self.nexting)
        
        if self.nexting2 then
            gooi.drawComponent(self.nexting2)
        end
    end
    
 
    
    -- draw_rect("line", self.label.x, self.label.y, self.label.w, self.label.h)
end


rgr = colors.red
local introText2 = [[
You are a kobold &rgr @enslaved ~ by an 
adventuring party of #humans. ~
 
They seem to be seeking something
(classic hoomans) and they're
dragging you along as extra help...]]
introText1 = [[
    ******
&rgr #Welcome to Madcrawl. ~
This is a turnbased game. Things won't happen
until you peform an action (such as moving or
drinking a potion).
Use the buttons on the bottom left to
see allies, re-equip an old item, speed up
turns or skip a turn.

Bump into things to interact and open the bag
on the top right to see your items.


]]

introText3 = [[
    ******
Remember, kobolds are weak things. Try not
to die.
 
@Keep the hoomans close.
    ******
]]

local function giveInfo()
    local self = toybox.room
    if not DONE_MESSAGE and not self.noPopUp then
        DONE_MESSAGE = true
        self:after(.1, function()
            self.freeze = true
            self.alwaysUpdateGooi = true
            gooi.alert({
                big = true,
                text = introText1,
                ok = function()
                    gooi.alert({
                        big = true,
                        text = introText2,
                        ok = function()
                            gooi.alert({
                                big = true,
                                text = introText3,
                                ok = function()
                                    self.freeze = false
                                end
                            })
                        end
                    })
                end
            })
        end)
    end
end

local function buildTutorial(self)
    TUTORIAL = true
    lume.remove(self.spawnTiles, self.player.tile)
    game.secrets = 0
    
    self.jon = self:spawn(creatures.jon, lume.eliminate(self.letterTiles.j))
    self.sakura = self:spawn(creatures.sakura, lume.eliminate(self.letterTiles.n))
    self.harry = self:spawn(creatures.harry, lume.eliminate(self.letterTiles.h))
    
    self.jon.wantsToClimb = true
    self.sakura.wantsToClimb = true
    self.harry.wantsToClimb = true
    
    
    self.jon:addAlly(self.sakura)
    self.jon:addAlly(self.harry)
    
    self.jon.lastSwitched = 1000
    self.sakura.lastSwitched = 100
    
    -- self.player.cantSwitch = true
    self.player.cantRead = false
    --self.player:addItem("kobold_elixir")
    
    self.jon.goalTile = self.nextFloorTile
    self.sakura.goalTile = self.jon.goalTile
    self.harry.goalTile = self.jon.goalTile
    
    self.jon.cantBeSwitched = true
    
    self.jon.team = pl.team
    self.sakura.team = pl.team
    self.harry.team = pl.team
    
    self.jon.hostility = 3
    self.sakura.hostility = 3
    self.harry.hostility = 3
    
    game.jon, game.harry, game.sakura = self.jon, self.harry, self.sakura
    
    local npcs = {self.jon, self.harry, self.sakura}
    local spk = self.jon.speak
    
    -- self.harry.speechSounds = MAGIC_SPEECH_SOUNDS
    
    local speakFunction = function(self, ...)
        self:makeSpeechSound(self == game.sakura and 1.5 or self == game.jon and .9 or 1)
        return spk(self, ...)
    end
    
    game.npcs = npcs
    for x = 1, 3 do
        local n = npcs[x]
        n.keepInDistance = {pl,nil,3,true}
        n.speak = speakFunction
    end
 

    
    self.sakura.stats.speed = 1
    
    self.player:onDamaged(function(d, pl)
        if not pl.d1 or math.random()>.7 then
            self.jon:speak("Kobo, run!!")
            self.jon:addLog(string.format("&colors.woodbrown Jon: ~ %s",getValue({
                "Kobo, fall back!",
                "Run, kobo, run!!"
            })))
            pl.d1 = true
        end
    end)
    
    self.player:onKill(function(d, pl)
        if not pl.d12 or math.random()>.2 then
            local jon
            local count = 0
            while count < 3 do
                jon = getValue(npcs)
                if jon.isSeen then
                    break
                end
                count = count + 1
            end
            
            jon:speak("Nice Job, kobo!")
            jon:addLog(string.format("%s: ~ %s",jon.name, getValue(
                jon == self.sakura and {
                    "Good enough!",
                    "I guess that's okay",
                    "Good job, I guess",
                } or 
                {
                    "Keep it up, Kobo",
                    "Nice job, Kobo!",
                    "Nice attack"
                }
            )))
            pl.d12 = true
        end
    end)
    
    self.sakura:onBurn(function(d, self)
        if not self.d then
            self:speak("Stupid, Kobo!!")
            self.room:addLog("&colors.pink Sakura: ~ Kobo, you bleeblob!!")
            self.d = true
        end
    end)
    
    self.jon:onBurn(function(d, self)
        if not self.d then
            self:speak("No, Kobo!!")
            self.room:addLog("&colors.woodbrown Jon: ~ Kobo, nooo!!")
            self.d = true
        end
    end)
    
    
    self.jon:onAttack(function(d, self)
        if not self.d1 or math.random()>.7 then
            self:speak("Take that!!")
            self.room:addLog(string.format("&colors.woodbrown Jon: ~ %s",getValue({
                "Take that, vile creature!",
                "Be gone!",
                "I will vanquish thee!"
            })))
            self.d1 = true
        end
    end)
    
    self.npcs = {self.jon, self.harry, self.sakura}
    for x = 1, 3 do
        local n = self.npcs[x]
        
        -- just incase
        n.tdie = n.die
        n.die = null
        
        --pl:addAlly(n)
    end
    
    self.jon.onSetTile = function(self, tile)
        if tile.letter == "s" then
            self.timer:after(2, function()
                self:speak(getValue({"We battle now!","Battle!!","Goblins!","Stay strong!"}))
                self.room:addLog(getValue({"&colors.woodbrown Jon: Get your battle stances ready!", "&colors.woodbrown Jon: ~ Sakura, Harry. Keep Kobo safe okay?","&colors.woodbrown Jon:~ Get ready to fight guys"}))
            end)
        elseif tile.letter == "p" then
            self.timer:after(2, function()
                self:speak("It's close ...")
                self.room:addLog("&colors.woodbrown Jon: ~ The amulet of yendor, it's close guys")
            end)
        elseif tile.letter == "e" then
            if not game.jon.unbound then
                game.jon.unbound = true
                local npcs = {game.jon, game.harry, game.sakura}
                for x = 1, 3 do
                    local n = npcs[x]
                    n.keepInDistance = nil
                end
            end
            self:speak("Stay here, Kobo")
            self.room:addLog("&colors.woodbrown Jon: ~ Kobo, it's too dangerous beyond this point ... wait for our return, okay?")
            
        elseif tile.letter == "*" then
        
            if game.sakura.room ~= self.room.player.room then
                self.room:inviteToMap(game.sakura, self.room:getTile(tile._x-1, tile._y))
            end
            
            self.room:teleport(game.sakura, self.room:getTile(tile._x-1, tile._y), true)
            self.room:teleport(game.harry, self.room:getTile(tile._x-2, tile._y), true)
            
            game.timer:after(2, function()
                pl:addLog("Something seems @off")
            end)
            
            game.timer:after(4.75, function()
                Fire:new({
                    source = game.sakura.tile,
                    range = 1,
                    explode = true
                })
            end)
            
            
            game.timer:after(5, function()
                pl.room.camera:shake(15,2,10)
                pl.room:addLog("You hear an &colors.orange Explosion ~...")
                game.jon:tdie()
                game.harry:tdie()
                -- game.sakura.goalTile = self.room.letterTiles.z[1]
                game.sakura.finale = true
               -- game.sakura:applyBuff("poison",1000,1)
               
                local sp1 = game.sakura:add_sprite(toybox.new_sprite(game.sakura, {
                    animations = {idle = {
                        source = "creatures/blood_damage",
                        useImages = true,
                        mode = "loop"
                    }}
                }))
                sp1:syncTo(game.sakura.sprite)
                
                local sp2 = game.sakura:add_sprite(toybox.new_sprite(game.sakura, {
                    animations = {idle = {
                        source = "items/helmets/hunter_hat_damaged",
                        useImages = true,
                        mode = "loop"
                    }}
                }))
                sp2:syncTo(game.sakura.sprite)
                game.sakura.helmet.sprite.draw = null
                
                game.timer:after(2, function()
                    pl.room:addLog("# @Kobo....")
                   
                    game.timer:after(3, function()
                        game.sakura.room:teleport(game.sakura, game.sakura.room.letterTiles.y[1])
                        game.sakura.goalTile = game.sakura.room.letterTiles.z[1]
                        
                        pl:addLog("&colors.pink Sakura ~ &colors.yellow teleported ~ near you!")
                        
                        --game.sakura:removeItem("scroll_of_teleportation")
                        game.sakura.room:addEnchantLight(game.sakura.tile, 6, "yellow", 5)
                        
                        game.timer:after(2, function()
                            game.sakura:addLog("&colors.pink Sakura: ~ @#Kobooo...")
                            game.timer:after(5, function()
                                game.sakura:addLog("&colors.pink Sakura: ~ @#Run...")
                                game.sakura:shake(15,5,25)
                                
                                game.timer:after(5, function()
                                    pl:addLog("&colors.pink Sakura ~ died")
                                    game.sakura:tdie()
                                    game.timer:after(7, function()
                                        pl:addLog("#@ &colors.lime What do we have here?")
                                        
                                        if game.lich then
                                            game.lich:doSpeechSound(lume.uuid())
                                        end
                                        
                                        for x, i in ipairs(pl.room.runicTiles or {}) do
                                            if i.rune then
                                                i.rune:destroy()
                                            end
                                        end
                                        game.timer:after(2, function()
                                            pl:addLog("The &colors.lime runes ~ got dispelled!")
                                        end)
                                    end)
                                end)
                            end)
                        end)
                    end)
                
                end)
            end)
        end
    end
    
    
    self.harry.onSetTile = function(self, tile)
        if tile.letter == "s" then
            self.timer:after(2, function()
                self:speak(getValue({"Kobo, stay back!","It's getting dangerous","Be careful everyone"}))
                self.room:addLog(getValue({"Harry: Get back, kobo!", "Harry: My scar hurts", "Harry: I sense danger"}))
            end)
        elseif tile.letter == "e" then
            self:speak("Stay safe")
            self.room:addLog("Harry: We won't be long")
        end
    end
    
    self.sakura.onSetTile = function(self, tile)
        if tile.letter == "s" then
            self.timer:after(2, function()
                self:speak(getValue({"Kobo, you're in the way!"}))--,"Dumb Kobo!"}))
                self.room:addLog("&colors.pink Sakura: ~ Guys, let's try our best not to die")
            end)
        elseif tile.letter == "e" then
            self:speak("Kobo, you're stupid")
            self.room:addLog("&colors.pink Sakura: ~ You're useless as always, you stupid Kobold!")
        end
    end
    
    self:after(1, function()
        self.jon:speak(getValue({"Okay, let's do this!", "We're almost there!", "Keep up, Kobo.","Winter is coming"}))
        self:addLog(getValue({"&colors.woodbrown jon: ~Come on guys, the amulet of Yendor is close!"}))
    end)
    
    self.player.onSetTile = function()
        giveInfo()
    end
    
    self:after(4.4, function()
        self.sakura:speak(getValue({"Kobo, you're in the way!"}))--getValue({"Stupid Kobold!", "You look dumb!"}))
        self:addLog(getValue({"&colors.pink sakura: ~ Try to keep up, dumb kobols!"}))
    end)
    
    
    self:after(10, function()
        self.harry:speak(getValue({"...", "..."}))
        self:addLog(getValue({"harry: ..."}))
    end)
    
    self.jon.timer:after(27, function()
        self.jon:speak(getValue({"@Winter is coming..."}))
        self:addLog(getValue({"&colors.woodbrown Jon: ~ I can feel victory close at hand!"}))
    end)
    
    Trap.loadTrap({
        silent = true,
        vents = 0,
        onStep = function(tile)
            local cr = tile.unit or tile
            self.silent = true
            if (cr.isCreature or cr.isPlayer) and not self.doneIt then
                self.silent = true
                self.doneIt = true
                cr:addLog(string.format(cr.stepped and "%s fell for the trap again..." or "%s hear a click, _%s are now confused!", cr.title, cr.title))
                
                cr.room:addEnchantLight(tile, 3, "peach", 1)
                
                cr:applyBuff("confuse",3,4)
            
                if not cr.stepped and cr.isPlayer then
                    self:after(2, function()
                        self.sakura:speak("Hah")
                        self:addLog("&colors.pink Sakura: ~ You fell for my trap, stupid Kobo!")
                    end)
                end
                cr.stepped = true
            elseif self.doneIt then
                cr.room:addLog("You hear a fizzle sound...")
            end
        end
        
    }, self.letterTiles.T[1], true)
    
    for x, i in ipairs(npcs) do
        i:avoidTile(self.letterTiles.T[1])
    end
    
    Trap.loadTrap(
        {
            name = "fire trap",
            vents = {0,0,0,2,2},
            ventDistance = {2,6},
            color = "red",

        
            fire = {
                range = 3,
                inteneity = 4,
                forceSpread = true
            }
        },
        self.letterTiles.F[1], true
    )
    
    for i, j in ipairs(self.letterTiles.G) do
        self:makeGrass(j, "tallGrass")
    end
    
    self:spawnItem(getValue({"wand_of_flames", "wand_of_freezing", "wand_of_webbing"}), self.letterTiles.W[1])
    self:spawnItem("flamesprout", self.letterTiles.P[1]):grow(10)
    self:spawnItem("tutorial_note_2", self.letterTiles.q[1])
    
    self.jon:onReachGoal(function(n, self)
        self.timer:after(.1, function()
            self.goalTile = self.room.nextFloorTile or getValue(self.room.letterTiles.j)
        end)
    end)
    
    for x, t in ipairs(self.letterTiles.t) do
        self:spawnItem("torch", t)
        t.pedestal = true
    end
    
    local e_creatureSpawn = {
        orc = 12,
        goblin = 2,
        pig = 1,
        jackal = 5,
        bat = 2,
        skeleton = 1
    }
    
    local talk = {
        normal = {
            {"What did you do Kobo!?", "What's that!?"},
            {"What's that sound??", "I hear something"},
            {"Kobo!! Noooo!!!", "Kobo nooo!!"},
            {"What the-!?", "How?"},
            {"Someone messed with something?", "Dang..."}
        },
        
        sakura = {
            {"Stupid! Stupid! Stupid! Kobold!", "Stupid!"},
            {"You messed up again, Kobo?", "Dirty thing"},
            {"Kobo, you're so dirty!", "Lame kobold!"}
        }
    }
        
    local function pickupTorch(torch)
        torch.room.torchesPicked = (torch.room.torchesPicked or #self.letterTiles.U)-1
        if torch.room.torchesPicked <= 0 and not torch.room.doneTorchThingy then
            local function mess()
                lume.shuffle(self.letterTiles.e)
                for x, e in ipairs(self.letterTiles.e) do
                    e.egg = x == 1 and "skeleton" or lume.weightedchoice(e_creatureSpawn)
                    torch.room:shatterTile(e)
                end
            end
            
            torch.room.doneTorchThingy = true
            
            local time = 4
            
            torch.room:after(time, mess)
            
            for x = 1, 3 do
                local n = npcs[x]
                
                local function say()
                    local s = lume.eliminate(n == game.sakura and talk.sakura or talk.normal)
                    n:speak(s[2])
                    n:addLog(string.format("&colors.%s: ~ %s", n == game.harry and "blue Harry" or n == game.sakura and "pink Sakura" or "woodbrown Jon", s[1]))
                end
                
                torch.room:after(time*math.random(2, 20)/10, say)
            end
            
            
            torch.room:shake(15, time+.4, 25)
            
            torch.room:addLog("&colors.red #oops...")
        end
    end
    
    for x, t in ipairs(self.letterTiles.e) do
        t.solid = true
    end
    
    for x, t in ipairs(self.letterTiles.U) do
        local torch = self:spawnItem("torch", t)
        t.pedestal = true
        
        torch.onCarry = pickupTorch
    end
    
    for x, t in ipairs(self.letterTiles.l) do
        t.room:spawnItem("carpetFloor2", t)
    end
    
    local w = self.letterTiles.w[1]
    w.room:spawnItem("carpetFloor", w)
    
    local m = w.room:spawnItem("wand_of_mind_switch", w)

    
    w.pedestal = true
    
    local h = self.letterTiles.k[1]
    local h2 = self.letterTiles.k[2]
    
    for x = 1, 2  do
        h.room:spawnItem("scroll_of_shattering", x == 2 and h2 or h)
    end
    
    h.room:getTile(h._x, h._y-5):getAttacked(h.life/2)
    
    game.jon, game.harry, game.sakura = self.jon, self.harry, self.sakura
    
    if not STARTED_B then
        loadSong("jazz")
        STARTED_B = true
    else
        loadSong("quickjazz")
    end
end

local function buildTutorial2(self)

    self:after(.2, function()

        game.jon.goalTile = self.nextFloorTile or self.letterTiles.j[1]
        game.sakura.goalTile = game.jon.goalTile
        game.harry.goalTile = game.jon.goalTile
    end)
    
    for x = 1, 3 do
        local n = game.npcs[x]
        n.keepInDistance = {pl,nil,3,true}
    end
    
    for x, t in ipairs(self.letterTiles["^"] or {}) do
        t:addRune():exclude(game.jon):exclude(game.harry):exclude(game.sakura):include(self.player)
        
    end
        
    for x, t in ipairs(self.letterTiles.g) do
        self:spawn("goblin", t)
    end
    
    for x, t in ipairs(self.letterTiles.c) do
        self:spawn("goblin_conjurer", t):addClass("conjurer")
    end
    
    for x, t in ipairs(self.letterTiles.O) do
        local o = self:spawn("ogre", t)
        o.stats.health = o.stats.health*.65
    end
    
    for x, t in ipairs(self.letterTiles.t or {}) do
        self:spawnItem("torch", t)
        t.pedestal = true
    end
    
    for x, t in ipairs(self.letterTiles["~"]) do
        self:spawnItem("campfire", t)
    end
    
    --for x, i in ipairs({"potion_of_petrification", "potion_of_levitation", "scroll_of_shattering"})do assert(items[i],i) end
    for x, t in ipairs(self.letterTiles.w or {}) do
        self:spawnItem(getValue({"potion_of_petrification", "potion_of_levitation", "scroll_of_shattering"}), t)
        t.pedestal = true
    end
    
    game.tkey = self:spawnItem("key", self.letterTiles.d[1])
end

local monsters = {"gelatinous_cube", "large_gelatinous_cube", "gelatinous_cube", "monkey", "goblin", "goblin", "goblin", "kobold", "kobold", "kobold", "kobold", "beholder", "spectral_scythe", "bat", "bat", "skeleton", "skeleton", "skeleton", "skeleton","rat","wisp"}

local function buildTutorial3(self)
    loadSong("the_battle_of_atheria")
    
    self:after(.2, function()

        game.jon.goalTile = self.nextFloorTile or self.letterTiles.j[1]
        game.jon.room:teleport(game.jon, game.jon.room:getTile(game.jon.tile._x+1, game.jon.tile._y))
    end)
    
    self.runicTiles = {}
    for x, t in ipairs(self.letterTiles["^"]) do
        t:addRune():exclude(game.jon):exclude(game.harry):exclude(game.sakura):include(self.player)
        t.isRunicTile = true
        self.runicTiles[#self.runicTiles+1] = t
    end
        
    for x, t in ipairs(self.letterTiles.g) do
        self:spawn("goblin", t)
    end
    
    for x, t in ipairs(self.letterTiles.c) do
        self:spawn("goblin_conjurer", t):addClass("conjurer")
    end
    
    for x, t in ipairs(self.letterTiles.O) do
        self:spawn("goblin", t):addClass("bezerker")
    end
    
    
    for x, t in ipairs(self.letterTiles.L) do
        self.lich = self:spawn("lich", t)
        self.lich.die = null
        self.lich.immobile = true
        self.lich.flipX = -1
        game.lich = lich
    end
    
    --for x, i in ipairs({"potion_of_petrification", "potion_of_levitation", "scroll_of_shattering"})do assert(items[i],i) end
    for x, t in ipairs(self.letterTiles.w or {}) do
        self:spawnItem(getValue({"potion_of_petrification", "potion_of_levitation", "scroll_of_shattering"}), t)
        t.pedestal = true
    end
    
    for x, t in ipairs(self.letterTiles.m) do
        local mm = self:spawn(getValue(monsters), t)
        if mm then
            mm.canSpeak = nil
        end
    end
    
    for x, t in ipairs(self.letterTiles.t or {}) do
        self:spawnItem("torch", t)
        t.pedestal = true
    end
    
    for x, t in ipairs(self.letterTiles["~"]) do
        self:spawnItem("campfire", t)
    end
    
    
    
    
    pl:onMove(function(d, pl, val, tile) assert(tile.isTile)
        game.timer:after(.5,function()
          log("LIME COLO:R "..inspect(colors.lime,1))
          if tile.letter == "v" then-- == stelf.letterTiles.v[1] then
            log("!!!")
            self.lich.room:removeLight(self.lich.lightData)
            self.lich.flipX = -1
            self.lich:speak("&colors.lime Hello")
            pl:addLog("&colors.lightpurple Lich: &colors.lime @#Hello, there")
            
            pl.tooScaredToMove = true
                
            if pl.data.name == "kobold" then
                local sp = pl:add_sprite("creatures/kobold_sad_eyes")
                sp:syncTo(pl.sprite)
            end
            
            
                game.timer:after(2, function()
                    self.lich:speak("&colors.lime Heh heh")
                    pl:addLog("&colors.lightpurple Lich: &colors.lime Fine specimen")
                end)
                
            game.timer:after(7, function()
                
                pl:addLog("&colors.lime @# The lich &colors.red cursed &colors.white you")
                pl:shake(15, 30, 20)
                pl.room.camera:shake(10,30,10)
                
                pl.room:addLight(pl.tile, 3, "orange")
                
                game.timer:after(2, function()
                    self.lich:speak("&colors.lime Heh heh")
                    pl:addLog("&colors.lightpurple Lich: &colors.lime Heheheh")
                end)
                
                game.timer:after(7, function()
                    self.lich:speak("&colors.lime Ha ha ha")
                    pl:addLog("&colors.lightpurple Lich: &colors.lime @#Hahahahahahah")
                    pl:die()
                end)
            end)
          end
        end)
    end)
    
    self.letterTiles.v[1]:makeDoor()
    self.letterTiles.v[1].noItemsAllowed = true
    
    self.letterTiles.D[1].key = game.tkey
    
    local m = self.letterTiles.b[1]
    self:getTile(m._x, m._y+1):getAttacked(m.life/3)
    
    self:spawnItem("potion_of_descent", self.letterTiles.k[1])
    
    local n = self.letterTiles.n[1]
    self:spawnItem("tutorial_note", n)
    self:spawnItem("skull", self:getTile(n._x+1, n._y))
    
end

function buildTutorial5(self)
    loadSong("ghosts_and_heroes")
    
    self.angel = self:spawn("angel", self.letterTiles.A[1])
    self.angel:addAbility("uncontrolled_teleportation")
    self.angel:addAbility("vorpal_teleportation", {range=5, color="yellow"})
    self.angel.stats.speed = 5
    self.angel:setWeapon("sword")
    self.angel.hostility = 3
    self.angel.team = "ang"
    self.angel.stats.strength = self.angel.stats.strength/2
    
    self:spawnItem("kobold_elixir", self.letterTiles.e[1])
    
    for x, t in ipairs(self.letterTiles.t or {}) do
        self:spawnItem("torch", t)
        t.pedestal = true
    end
    
    for x, t in ipairs(self.letterTiles["~"] or {}) do
        self:spawnItem("campfire", t)
    end
    
    
    
    game.dkey = self:spawnItem("key", self.letterTiles["."][1])
    self.angel:forceAddItem(game.dkey)
    
    pl:addItem("wand_of_blinking")
    self.letterTiles.D[1].key = game.dkey
    
end

function buildTutorial6(self)
    
    
    local orbStep = function(data, self, n, tile)
        if tile.letter == "y" then
            self.noControl = true
            
            self.room:after(.1, function()
            self.room.updateCamera = null
            time = lume.max(1, time or 1)
            
            self.room.addLog = null
            
            local ox, oy, s = self.room.cameraMan.x, self.room.cameraMan.y, self.room.cameraMan.scale
            local hh = {x=pl.x, y=pl.y, scale=z}
            self.room:set_target(hh)
            
            self.room.player.takeDamage = null
            self.takeDamage = null
            local m = self.room.m
            
            local tt  = 5+2
            
            local func = function()
              self.room.timer:after(2,function()
                  pl.speak(self.room.m, "...")
              end)
              
              self.room.timer:after(4,function()
                self.room.timer:tween(.8, self.room.coverAll,{y=0}, "in-bounce", function()
                    self.room:after(.5, love.event.quit)
                end)
              end)
            end
    
            self.room.timer:tween(tt,hh or self.room.cameraMan, {x=m.x+m.w/2, y=m.y+m.h/2, scale=s*(3)}, "in-bounce", func)
            self.room.cameraMan.scaley = nil
            self.room.timer:tween(tt,self.room.camera,{scale=s*2},"in-quad")
            end)
        end
    end
    
    pl:onMove(orbStep)
    
    for x, t in ipairs(self.letterTiles.t or {}) do
        self:spawnItem("torch", t)
        t.pedestal = true
    end
    
    for x, t in ipairs(self.letterTiles["~"] or {}) do
        self:spawnItem("campfire", t)
    end
    
    
    for x, t in ipairs(self.letterTiles["o"] or {}) do
        self.m = self:spawnItem("madorb", t)
        t.pedestal = true
        t.item = self.m
    end
    
    for x, t in ipairs(self.letterTiles["k"] or {}) do
        self:spawn("chained_kobold_monster", t).flipX = ((self.m.x-t.x) == 0) and 1 or getDir(self.m.x-t.x)
    end
end

local dat = {
    name = "kobold",
    anim = "creatures/kobold",
    group = {3,4},
    
    tags = {kobold=true},
    liking = {},
    --texts = GOBLIN_TEXTS,
    
    lovesFood = true,
    food = {
        -- pig = true,
        meat = true
    },
    
    spawn = {goblin=30,goblin_conjurer=10},
    leaderValue = 1,
    cowardice = 2,
    life = {3,5},
    cantRead = true,
    
    clothesOffset = 25,
    
    inventory = {
        {"matchstick",5},
        
        --{"scroll_of_duplication",1,10},
        
        {getValue({"potion_of_incineration", "potion_of_invisibility","potion_of_polymorphing"}),math.random(1,2)},
        
        {getValue({"scroll_of_vegetation", "scroll_of_summoning", "scroll_of_electricity"}), math.random(1,3)},
        
        {getValue({"wand_of_flames", "wand_of_lightning"})},
        
        {"potion_of_water",3},
        
        {math.random()>.8 and "potion_of_frost" or "potion_of_healing",1},
        
        {"potion_of_healing",1},
    }
}



function game:setup()
    self.mapOptions = {
        Species = "pig",
        Preparation = 0,
        Map = "medium",
        Ecology = 0
    }
    
    gamedata = toybox.getData("mcrawl")
    if not gamedata.deaths then
        gamedata.deaths = {}
        gamedata.fullscreen = true
    end
    gamedata.timePlayed = gamedata.timePlayed or 0
    
    self:setSource("nest/assets/%s")
    self.useImages = true
    game.squash = false
    

    req "setup"
    
    
    if not DESKTOP then
        love.window.setFullscreen(true)
    else
        local f = gamedata.fullscreen
        if f == nil then
            f = true
        end
        love.window.setFullscreen(f)
    end
    
    loadSong("quickjazz")
    
    gooi.font = font13
    
    shufflePotions()
    shuffleScrolls()
    
    self:set_room(not ChooseMenu or TitleMenu)--ChooseMenu)
    
    -- self:startGame()--set_room(Menu)--Map)
    log("done")

    m_list = {"school","dance","groovy"}
    --loadMusic()
end

local old_keyr = game.keyreleased or null
function game:keyreleased(key, ...)
    if key == "f11" then
        gamedata.fullscreen = not gamedata.fullscreen
        local f = gamedata.fullscreen
        if f == nil then
            f = true
        end
        love.window.setFullscreen(f)
    end
    
    return old_keyr(self, key, ...)
end

function game:saveData()
    toybox.saveData("mcrawl")
end

local function lume_update(t1, t2)
    for x, i in pairs(t2) do
        t1[x] = i
    end
    
    return t1
end

function game:startCoroutine(func, ...)  --if true then func() return end
    log("coroutine started")-- if self.coroutine then error() end
    self.coroutine = coroutine.create(func)
    coroutine.resume(self.coroutine, ...)
    log(coroutine.status(self.coroutine))
end

function game:yieldCoroutine(...)
    if not self.coroutine then return end--log("coroutine yielded!"..","..coroutine.status(self.coroutine))
    coroutine.yield(...)
end

function game:updateCoroutine(dt)
    if self.coroutine then
        self.routineCount = (self.routineCount or 0)+dt
        if coroutine.status(self.coroutine) == "suspended" and self.routineCount >= -1 then
            self.routineCount = 0
            local resumed = coroutine.resume(self.coroutine)
            if not resumed then
                self.coroutine = nil
                log("coroutine done")
            else
                log("coroutine resumed")
            end -- self.routineCount > 1 then INFORM_PLAYER(self.routineCount..",?")
        elseif coroutine.status(self.coroutine) == "completed" then
            self.coroutine = nil
        end
    end -- INFORM_PLAYER((self.routineCount or "?")..",?"..math.random(1,100), true)
end

function INFORM_PLAYER(text, noYield)
    game.logText = text
    if not noYield then
        game:yieldCoroutine()
    end
end

function game:startGame() self.logText = "Hmmm, let's see here..."
    local function func2()
        return game:_startGame()
    end
    
     -- if 1 then return func2() end
    
    local startGame = function()
        local attempts = 0
        while true do--for x = 1, 100 do
            log("ERROR? RESTARTING MAP GEN")
            attempts = attempts + 1
            local value, result = pcall(func2)
            if not value then
                self.logText = (result or "Working on it")..": reloading at "..attempts
                warn(self.logText)
                log("ERROR "..self.logText)
                self:yieldCoroutine()
            else
                if gamedata.hasPlayedBefore then
                    loadSong(lume.weightedchoice({
                        quickjazz = 40,
                        jazz = 20,
                        the_battle_of_atheria = 15,
                        ghosts_and_heroes = 10,
                        gem_popper = 5
                    }))
                end
                return result
            end
        end
    end
    
    return startGame()
    -- self:startCoroutine(startGame)
end

function game:_startGame()
    oldMap = nil
    gooi.components = {}
    local pigDat = lume_update(lume.copy(creatures.pig), {
    inventorySpace = 5,
    nil_ventory = 9 or {
        {"matchstick",5},
        
        --{"scroll_of_duplication",1,10},
        
        {getValue({"potion_of_incineration", "potion_of_invisibility","potion_of_polymorphing"}),math.random(1,2)},
        
        {getValue({"scroll_of_vegetation", "scroll_of_summoning", "scroll_of_electricity"}), math.random(1,3)},
        
        {getValue({"wand_of_flames", "wand_of_lightning"})},
        
        {"potion_of_water",3},
        
        {math.random()>.8 and "potion_of_frost" or "potion_of_healing",1},
        
        {"potion_of_healing",1},
    }})
    -- variable used for songs and set true at start of tutorial
    TUTORIAL = nil
    
    oldMap = nil
    pl = nil
    self.secrets = nil
    self.set_image_filter = "linear"
    gooi.components = {}
    self.toSpawn = {}
    local nm = 1
    local m = Map:new(
        --[[not {level = 1} or not {
                        mapData = tutorial_map_6,
                        playerData = creatures.kobold,
                        noCavern = true,
                        noLake = true,
                        postMake = buildTutorial6
                    } or
        ]]
        
    PIG and lume_update({
        -- playerInventory = {"carrot",{"potion_of_descent",3},"wand_of_mind_switch","basic_helm"},
        playerData = PIG_DATA.SPECIES[game.mapOptions.Species](game.mapOptions.Preparation),
        digW = PIG_DATA.MAP_SIZES[game.mapOptions.Map][1],
        digH = PIG_DATA.MAP_SIZES[game.mapOptions.Map][2],
        noBuild = true--level = 1,
    }, PIG_DATA.ECOLOGY[game.mapOptions.Ecology])
    
    or 
    
    {
        mapData=tutorial_map,
        --nextMapData = tutorial_map_2,
        fallToStairs = true,
        playerData = dat,
        playerInventory = {},
        
        nextMapKwargs = {
            mapData = tutorial_map_2,
            fallToStairs = true,
            noBuild = true,
            noCavern = true,
            noLake = true,
            postMake = buildTutorial2,
            nextMapKwargs = {
                mapData = tutorial_map_3,
                fallToStairs = true,
                noCavern = true,
                noLake = true,
                postMake = buildTutorial3,
                nextMapKwargs = {
                    mapData = tutorial_map_4,
                    fallToStairs = true,
                    noCavern = true,
                    noLake = true,
                    nextMapKwargs = {
                        mapData = tutorial_map_5,
                        noCavern = true,
                        noLake = true,
                        postMake = buildTutorial5,
                        nextMapKwargs = {
                            mapData = tutorial_map_6,
                            noCavern = true,
                            noLake = true,
                            postMake = buildTutorial6
                        }
                    }
                }
            }
        },
        
        noSpawnItems = true,
        noBuild = true,
        noCavern = true,
        noLake = true,
        -- level = 1,
        
        postMake = buildTutorial})
    
    m.player:onDeath(function(d, self)
              -- self.room.camera:fade(5,{0,0,0,1})
              self.room.gameIsOver = true
              self.room.nextAlpha = 0
              --self.room.nextAlpha2 = 0
              self.room.addLog = null
              self.room:tween(4.5, self.room, {nextAlpha = 1}, "in-quad", function()
                  -- self.room.nextAlpha2 = 1
                  self.room:gameover()
                  local p = self.room.gooiGameover
                  for x, r in pairs(p.sons) do
                      local i = r.ref
                      i.bgColor = lume.copy(getColor(i.bgColor or i.style.bgColor or "black"))
                      i.bgColor[4] = 0
                      i.fgColor = lume.copy(getColor(i.fgColor or i.style.fgColor or "white"))
                      i.fgColor[4] = 0
                      i.borderColor = lume.copy(getColor(i.borderColor or i.style.borderColor or "white"))
                      i.borderColor[4] = 0
                      
                      local time = 4
                      
                      self.room:tween(time, i.bgColor, {[4] = 1}, "out-quad")
                      self.room:tween(time, i.fgColor, {[4] = 1}, "out-quad")
                      self.room:tween(time, i.borderColor, {[4] = 1}, "out-quad")
                  end
              end)
              self.room.timer:after(40,function()
                self.room.timer:tween(.8, self.room.coverAll,{y=0}, "in-bounce", function()
                    --self.room:after(.5, love.event.quit)
                end)
              end)
    end)
    
    
        
    return self:set_room(m)
end 


function game:getData()
    --local self = self or {}
    self.data = toybox.getData("mcrawl")
    return self.data
end

function game:saveData()
    return toybox.saveData("mcrawl")
end

function game:update(dt)
    self:updateCoroutine(dt)
end

function game:draw()
    if self.logText then
        local txt = self.logText
        local f = lg.getFont()
        local font = f
        lg.setFont(font)
        lg.print(txt, 0, H()-font:getHeight()*1.5)
        lg.setFont(f)
    end
end

local pig_options = {
        {
            name = "Map",
            options = {
                -- text, value, isOnlyForPayers
                {"Very Large", "vlarge", true, "ui/large.png"},
                {"Big", "big", nil, "ui/big.png"},
                {"Medium", "medium", nil, "ui/medium.png"},
                {"Small", "small", nil, "ui/small.png"}
            }
        },
        
        {
            name = "Species",
            options = {
                {"Chunky Pig", "pig", nil, "ui/pig.png"},
                {"Sneaky Jackal", "jackal",nil,  "ui/jackal.png"},
                {"O.P Kobold", "kobold", true, "ui/kobold.png"},
                {"Sexy Elf", "elf", true, "ui/elf.png"}
            }
        },
        
        {
            name = "Ecology",
            options = {
                {"Basic", 0, nil, "ui/basic_ecology.png"},
                {"Strange", 1, nil, "ui/strange_ecology.png"},
                {"Mythic", 2, true, "ui/mythic_ecology.png"},
                {"Legendaire", 3, true, "ui/legendaire_ecology.png"}
            }
        },
        
        {
            name = "Preparation",
            options = {
                {"Birthday suit", 0, true, "ui/birthday_suit.png"},
                {"Basic", 1, nil, "ui/basic_backpack.png"},
                {"Cautious", 2, nil, "ui/cautious_backpack.png"},
                {"Overpacked", 3, true, "ui/overpacked.png"}
            }
        }
}


--[[
    Preparation
        0, 1, 2, 3
    Ecology
        0, 1, 2, 3
    Species
        pig, iackal, kobold, elf
    Map
        vlarge, big, medium, small
]]

local pigDataValues = {
    Map = "MAP_SIZES",
    Species = "SPECIES",
    Ecology = "ECOLOGY",
    Preparation = "PREPARATION"
}


ChooseMenu = toybox.Room("Menu")

function ChooseMenu:popup()
    local reddit = #gamedata.deaths>2 and math.random() > .7
    
    local function openLink()
        self.startFunc()
        love.system.openURL(getValue(reddit and REDDIT_LINK) or "https://hmmmgames.itch.io/pigcrawl")
    end
    
    gooi.dialog({
        big = true,
        w = W()*.55,
        h = H()*.45,
        cancel = self.startFunc,
        ok = openLink,
        okText = "Sure!",
        cancelText = "no thanks",
        text = reddit and redditText or getValue({donateText1, donateText2})
    })
    
    local n = gooi.noButton
    local y = gooi.yesButton
    
    k = 1.5
    
    y.x = y.x+y.w/(k*4)
    n.x = n.x+n.w/(k*4)
    
    n.w = n.w/k
    y.w = y.w/k
    
    y.y = y.y+y.h/(k*4)
    n.y = n.y+n.h/(k*4)
    
    n.h = n.h/k
    y.h = y.h/k
end

function ChooseMenu:setup(k)
    oldMap = nil
    self:activate_gooi()
    local g = "menu"
    gooi.currentGroup = g
    
    local nn = .8
    
    -- w, h = 896, 240
    local w, h = W()*.9*nn,H()*.8*nn
    local x, y = W()/2-w/2, H()/2-h/2
    local p = 4--15
    
    self.panel = gooi.newPanel({padding = p, group = g, x = x, y = y, w = w, h = h, layout = "grid 1x4"})
    
    game.mapOptions = {
        Species = "pig",
        Preparation = 0,
        Map = "medium",
        Ecology = 0
    }
    
    local function setData(btn)
        if btn.img then
        
            if btn.parent.pic then
                btn.parent:removeImage(btn.parent.pic)
            end
            
            btn.parent.pic = btn.parent:addImage(btn.img)
            
            btn.parent.hasData = true
            
            if btn.dataValue ~= "pig" and btn.dataValue ~= "kobold"
            and btn.img ~= "ui/overpacked.png" then
                btn.parent:addImage("ui/pig_border.png")
            end
            
            for x, ui in ipairs(btn.parent.sons) do
                gooi.removeComponent(ui.ref)
            end
            
            btn.parent.bgColor = btn.parent.toColor
            
            btn.parent:shake(15,.3, 15)
            self.camera:shake(15, .3, 15)
            self:squash_ui(btn.parent)
        end
        
        self.selectedBtn = btn
        
        game.mapOptions[btn.dat.name]= btn.dataValue
    end
    
    local function resetData(b)
        if b.hasData then
            b.hasData = nil
            b:removeImage(b.pic)--.source = "none.png"
            
            -- added multiple times to fix a wierd bug where ui objects get draw *before* panel
            for i = 1,4 do
            for x = 1, #b.objects do
                local ui = b.objects[x]
                assert(ui[1])
                assert(gooi.addComponent(ui[1]))
                -- b:add(ui[1], ui[2], ui[3])
            end
            end
            
            local function n()
            for x = 1, #b.objects do
                local ui = b.objects[x]
                assert(ui[1])
                assert(gooi.addComponent(ui[1]))
                -- b:add(ui[1], ui[2], ui[3])
            end
            end
            self:after(.5, n)
            -- b.bgColor={0,0,0,0}
            b:shake(15,.3, 15)
            self.camera:shake(15, .3, 15)
            self:squash_ui(b)
        end
    end
    
    local function setPic(btn)
        if btn.img then
        
            if btn.parent.pic then
                if btn.parent.pic.source == btn.img then
                    return
                end
                btn.parent:removeImage(btn.parent.pic)
            end
            btn.parent.pic = btn.parent:addImage(btn.img)
            
            self.btn = btn
            self.setPicBtn = btn
            
        end
    end
    
    local function popupSupportAlert()
        local reddit = #gamedata.deaths > 1 and math.random() > .45
        
        local function openLink()
            love.system.openURL(getValue(reddit and REDDIT_LINK) or "https://hmmmgames.itch.io/pigcrawl")
        end
        
        local ww = W()*.4
        local hh = H()*.4
        
        if not reddit then
            gooi.dialog({
                bjig = true,
                w = ww, h = hh,
                text = [[
This feature is still in...
&colors.cyan #development. ~
 
 Help our goals be reached faster by
 supporting this project on itch.io?]],
                okText = "YEAH!!",
                cancelText = "No, sorry...",
                ok = openLink
            })
        else
            
            gooi.dialog({
                bjig = true,
                w = ww, h = hh,
                text = [[
This feature is still in...
&colors.pink #development. ~
 
 Help our goals be reached faster by
 spreading the word about the game
 on the roguelike community
 in &colors.red @reddit?
 ]],
                okText = "YEAH!!",
                cancelText = "No, sorry...",
                ok = openLink
            })
        end
    end
    
    local function popupSupport(b)
        if b.parent.pic then
            b.parent:removeImage(b.parent.pic)
        end
        self.camera:shake(15, .3, 15)
        -- self:after(.2, 
        popupSupportAlert()
    end
        
    local bgcolors = {"lightbrown", "orange", "green", "crimson"}
    
    self.panels = {}
    
    local function recommend()
        for x, i in pairs(self.panels) do
            if not i.hasData then
                local b = i.objects[(x==1 and 3 or x==4 and 2 or 1)+1][1]
                b.events.r(b)
            end
        end
    end
    
    
    for x = 1, 4 do
        local dat = pig_options[x or 2]
        
        
        local p2 = 8
        local b = gooi.newPanel({padding = p2+10, paddingY = 8, layout = "grid 9x1"})
        b:onRelease(resetData)
        
        self.panel:add(b)
        
        self.panels[x] = b
        
        b.toColor = nil-- bgcolors[x]
        
        for i = 2, 13, 3 do
            -- b:setRowspan(i, 1, 3)
        end
        
        b.opaque = true
        b.borderRadius = 80
        b.drawAllBorders = true
        b.showBorder = false
        b.borderWidth = 6
        b:addImage("ui/pig_border.png")
        
        local label = gooi.newLabel({text=dat.name})
        b:add(label)
        
        b.objects = { {label, 1, 1} }
        
        local rows = {3,4,5,6}
        for y = 1, 4 do
            local option = dat.options[y]
            
            local btn = gooi.newButton({text=option[1], font=font7})
            btn:onRelease(setData):onMoved(setPic)
            btn.dataValue = option[2]
            btn.isLocked = option[3]
            btn.img = option[4]
            
            btn.dat = dat
            
            btn.parent = b
            
            b:add(btn, rows[y], 1)
            --error(btn.w..","..btn.h)
            b.objects[#b.objects+1] = {btn, rows[y], 1}
            
            btn.showBorder = false
            
            btn.borderRadius = 3
            btn.borderWidth = 2
            
            local locked = not PIG_DATA[pigDataValues[dat.name]][option[2]]--y > 1 and x == 2
            local img = btn:addImage(locked and "ui/btn_border_bad.png" or "ui/btn_border.png")
            
            if locked then
                btn:onRelease(popupSupport)
                btn.fgCyolor = "red"
                img.color = "red"
            end
        end
    end
    
    for x = 1, -3 do
        local b = gooi.newButton({text="T a p    a n y    k e y    t o    c o n t i n u e"}):onRelease(function()
        
            if self.done then
                return
            end
                
            self.done = true
        
            local next = function()
                if not self.canStart then
                    return
                end
                
                Creature.play_sound(self, "warhorn", nil, .12)--media.sfx.warhorn:play()
                local new = game:startGame()
                
                --new.camera:fade(.01,{0,0,0,1})
                --new.camera:update(1)
                
                local w = W()*.7
                local h = H()/12
                
                oldMap = self
            
                new.nexting = self.nexting
                new.nexting2 = gooi.newLabel({text="@Tap any key to continue", x=W()/2-w/2, w=w, h=h, y=H()/2-h/2+(self.nexting.texty and self.nexting.texty.h or font13:getHeight()*4),font=font8}):center() -- getQuote
                
                local n = new.nexting2
                n.fgColor = {1,1,1,0}
                new.timer:tween(1.4, n.fgColor,  {1,1,1,1}, "in-quad")
                
                new.noPopUp = true
                local function allowPopUp()
                    new.noPopUp = false
                end
                
                self.camera:fade(.1,{0,0,0,0})
                new:after(.1, allowPopUp)
            end
            
            local text = Map.getQuote(self, firstQuotes)
            local w = W()*.7
            local h = H()/12
            self.nexting = gooi.newButton({text=text, x=W()/2-w/2, w=w, h=h, y=H()/2-h/2}):
                right()
            
            self.nexting.ySpacing = 5
            self.nexting.opaque = false
            
            
            self.camera:fade(1,{0,0,0,1},next)
        end)
        
        b.borderRadius = 1
        b.borderWidth = 4
        b.opaque = false
        b.fgColor = {1,1,1,0}
        self.panel:add(b,2,1)
    end
    
    local function startFunc(b)
        
            if self.done then
                return
            end
                
            self.done = true
        
            local next = function()
                if not self.canStart then
                    -- return
                end
                
                Creature.play_sound(self, "warhorn", nil, .12)--media.sfx.warhorn:play()
                local new = game:startGame()
                
                --new.camera:fade(.01,{0,0,0,1})
                --new.camera:update(1)
                
                local w = W()*.7
                local h = H()/12
                
                oldMap = self
            
                new.nexting = self.nexting
                new.nexting2 = gooi.newLabel({text="@Tap any key to continue", x=W()/2-w/2, w=w, h=h, y=H()/2-h/2+(self.nexting.texty and self.nexting.texty.h or font13:getHeight()*4),font=font8}):center() -- getQuote
                
                local n = new.nexting2
                n.fgColor = {1,1,1,0}
                new.timer:tween(1.4, n.fgColor,  {1,1,1,1}, "in-quad")
                
                new.noPopUp = true
                local function allowPopUp()
                    new.noPopUp = false
                end
                
                self.camera:fade(.1,{0,0,0,0})
                new:after(.1, allowPopUp)
            end
            
            local text = Map.getQuote(self, firstQuotes)
            local w = W()*.7
            local h = H()/12
            self.nexting = gooi.newButton({text=text, x=W()/2-w/2, w=w, h=h, y=H()/2-h/2}):
                right()
            
            self.nexting.ySpacing = 5
            self.nexting.opaque = false
            
            
            self.camera:fade(1,{0,0,0,1}, function() game:startCoroutine(next) end)
    end
    
    self.startFunc = startFunc
    
    local function doStart(b)
        b = self.begin
        if b.text ~= "start" then
            b:shake(25, .5, 25)
            return recommend(b)
        end
            
        if math.random() > .65 then
            self:popup()
        else
            return startFunc(b)
        end
    end
    
    self.doStart = doStart
    
    local bw, bh = (W()*.7)/5, (H()*.6)/6
    local bx = W()-bw-10
    local by = H()-bh-10
    self.begin = gooi.newButton({text = "Recommend", group = g, w = bw, h = bh, x = bx, y = by}):onRelease(doStart)
    
    self.alpha = 1
    self:tween(.2, self, {alpha=0}, "out-quad")
end

function ChooseMenu:mousemoved()
    local x = xt or love.mouse.getX()
    local y = yt or love.mouse.getY()
    x = x / gooi.sx
    y = y / gooi.sy
  
    local camera = gooi.use_camera or gooi.camera
    if camera then
        x, y = camera:toWorldCoords(x, y)
        -- game.timer:after(.1, function() gooi.newButton({x=x, y=y,w=10,h=10,text=""}) end)
    end
  
    if self.setPicBtn and not self.setPicBtn:overIt(x, y) then
        
        if self.btn and self.btn ~= self.selectedBtn then
            self.btn.parent:removeImage(self.btn.parent.pic)
            self.btn.parent.pic = nil
            self.setPicBtn = nil
        end
    end
end

function ChooseMenu:startt()
    self.doStart()--local n = self.panel.sons[1].ref
    --n.events:r()
end

function ChooseMenu:mousereleased()
    if not DESKTOP and self.btn and self.btn ~= self.selectedBtn then
        self.btn.parent:removeImage(self.btn.parent.pic)
        self.btn.parent.pic = nil
    end
    self.btn = nil
    self.selectedBtn = nil
    
    if not game.buttonPressed then
        self:startt()
    end
end

function ChooseMenu:keyreleased(k)
    if k == "escape" then
        game:set_room(TitleMenu)
    else
        self:startt()
    end
end

function ChooseMenu:draw_before()
    local completed = true
    for x, i in pairs(self.panels) do
        if not i.hasData then
            completed = false
            break
        end
    end
    
    self.begin:setText(completed and "start" or "recommend")
    
    
    local r,g,b,a = set_color(1,1,1,self.tw or 0)
    if not self then self.tw = 0
      self:after(.2,function()
       local t = 2
       self.canStart = true
       for x, i in ipairs(self.panel.sons) do
           self:tween(t,i.ref.fgColor,{[4]=1},"out-quad")
        end
       --self:tween(t,self.logo.sprite,{image_alpha=0},"out-quad")
       self:tween(t,self,{tw=.6},"out-quad",function()
        self.camera:shake(5,.5,10)
        self:after(1,function()
            --self:tween(2,self,{tw=0},"out-quad")
        end)
      end)
    end) end
    
    self.camera:attach()
    lg.draw(game:getAsset(PIG and "pig.png" or "adv.png"))
    set_color(r,g,b,a)
    
    gooi.draw(gooi.currentGroup)
    self.camera:detach()
end

function ChooseMenu:post_draw(dt)
    local crs = {"angel", "kobold", "pig", "rat", "goop"}
    self.move_x = (self.move_x or 0)+(self.ws or 25)*dt*.5
    if true then
        self.heartFrame = (self.heartFrame or 0) + dt/(.2)
    for x = 1,0 or #crs do
        local source = crs[x]
        local maxFrames = 3
    
    
    
        local maxFrames = 4
        local currentFrame = math.floor(self.heartFrame%maxFrames)
        local cr = currentFrame
    
        while cr > (maxFrames-1) do
            cr = 0+(cr-(maxFrames))
        end
        
        while cr < 0 do
            cr = 0
        end
    
        local h = game:getAsset(string.format("creatures/%s/%s.png",nil and "purple_heart" or source or "angel" or "blood_heart", cr))
        
        local ws = (H()/25)*3
        self.ws = ws
        local whh = ws*2
        local wh, hh = resizeImage(h, ws, whh)
        local xx, yy = ws*(x-1)+5+self.move_x, H()-whh-5
        love.graphics.draw(h, xx, yy, 0, wh, hh)
    end
    end
    
    if gooi.showingDialog then
        self.bgAlpha = (self.bgAlpha or 0)+dt/1
        local r,g,b,a = set_color(1,1,1,self.bgAlpha)
        lg.draw(game:getAsset(PIG and "pig.png" or "adv.png"),0,0,0,.5,.5)
        set_color(r,g,b,a)
        
        gooi.panelDialog.opaque = true
        gooi.drawComponent(gooi.panelDialog, true)
    else
        self.bgAlpha = 0
    end
        
        
    
    
    if self.nexting then
        self.camera:draw()

        if self.nexting2 then
            local r,g,b,a = set_color(0,0,0,1)
            draw_rect("fill",-W(),-H(), W()*3, H()*3)
            set_color(r,g,b,a)
        end
        
        gooi.drawComponent(self.nexting)
        
        if self.nexting2 then
            gooi.drawComponent(self.nexting2)
        end
    end
    
    if self.alpha then
        local r,g,b,a = set_color(0,0,0,self.alpha)
        draw_rect("fill",-W(),-H(), W()*3, H()*3)
        set_color(r,g,b,a)
    end
 
    
    -- draw_rect("line", self.label.x, self.label.y, self.label.w, self.label.h)
end

local function sortDeaths(a, b)
    return a.gold > b.gold
end

DeathMenu = toybox.Room("DeathMenu")
function DeathMenu:setup(k)
    self:activate_gooi()
    
    local w, h = W()*.75, H()*.9
    self.panel = gooi.newPanel({w=w,h=h,x=W()/2-w/2,y=H()/2-h/2,layout="grid 10x1"})
    
    local la = gooi.newButton({text="Deaths"}):setOpaque(false):setFont(font17)
    self.panel:add(la)
    
    table.sort(gamedata.deaths, sortDeaths)
    
    local function viewData(b)
        if b.data then
            gooi.alert({
                text = b.text
            })
        end
    end
    
    local buttons = {}
    for x = 2, 10 do
        local data = gamedata.deaths[x-1]
        
        local p = gooi.newPanel({layout="grid 1x20"})
        p.paddingY = 0
        
        self.panel:add(p)
        p:setColspan(1,1,2)
        p:setColspan(1,3,18)
        
        local t = gooi.newButton({text=data and data.gold or ""}):center()
        t.fgColor = data and lume.copy(colors.gold)
        
        if data then
            data.turnsSurvived = data.turnsSurvived or 1
            data.timePlayed    = data.timePlayed or 0
        end
        
        local text = string.format(not data and "" or "%s after %s turn%s", Map.fixText(self, data and data.deathText or "..."), data and data.turnsSurvived or "", data and data.turnsSurvived>1 and "s" or "")
        
        local b = gooi.newButton({text=text}):left():onRelease(viewData)
        b.data = data
        b.text = text
        
        if data then
            p:add(t)
            p:add(b)
        else
            gooi.removeComponent(t)
            gooi.removeComponent(b)
        end
        t.x = t.x-(t.h-t.w)
        t.w = t.h
        buttons[x] = b
    end
    
    self.alpha = 1
    self:tween(.3, self, {alpha=0}, "out-quad")
    
end

function DeathMenu:post_draw()
    if true then
    
            local img = game:getAsset(string.format("title/%s.png", "mob"))
            local data = {}
            local w, h = resizeImage(img, data.w or W(), data.h or H())
            local iw, ih = img:getDimensions()
            local r, g, b, a = set_color(1, 1, 1, data.alpha or .56)
            local dx = 0 or W()/2--(data.w or W())/2
            local dy = 0 or H()/2--(data.h or H())/2
            lg.draw(img, W(), 0, data.angle or 0, w*-1, h)--, iw/2, ih/2)
            set_color(r, g, b, a)
    end
    
    gooi.draw()
    
    if self.alpha then
        local r,g,b,a = set_color(0,0,0,self.alpha)
        draw_rect("fill",-W(),-H(), W()*3, H()*3)
        set_color(r,g,b,a)
    end
end


function DeathMenu:keyreleased(k)
    if k == "escape" then
        game:set_room(TitleMenu)
    else
    end
end

-- ChooseMenu = TitleMenu -- DeathMenu

return game